<?php
/**
 * @file
 * Contains \Drupal\commerce_store_filter\Plugin\Block\StoreSwitch
 * Purpose of this block is to display an Associate site address & Logo from Store Address of Domain
 * 
 */
namespace Drupal\commerce_store_filter\Plugin\Block;


use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'StoreSwitch' block.
 *
 * @Block(
 *   id = "commerce_store_filter_block",
 *   admin_label = @Translation("Commerce Store Switch"),
 *   
 * )
 */
class StoreSwitch extends BlockBase {
  
  /**
   * {@inheritdoc}
   */
  public function build() {
    $form = \Drupal::formBuilder()->getForm('Drupal\commerce_store_filter\Form\StoreSelectForm');
    return $form;
  }

  /**
   * {@inheritdoc}
   */
  public function getCacheMaxAge() {
    return 0;
  }

}
